---
title: "vim"
---

Website: https://www.vim.org/

Best for: code editing in the terminal

Strengths:

- Extremely configurable
- Keyboard orientated
- Efficient modal editing
- Plugins for all code editing tasks
- Great git integration ([`fugitive`](https://github.com/tpope/vim-fugitive))
- Spell-check built-in by default

An extremely powerful advanced editor, with a steep learning curve. While many users swear by this program,
it can be a challenge to get used to modal editing (or to unlearn it when you have).
